package org.jeecg.pm.hikvision.sdk.response;

import org.jeecg.pm.hikvision.sdk.result.HikvisionBaseResult;

import java.io.Serializable;
import java.util.List;

/**
 * @author: JJww
 * @Date:2022/3/21
 */
public interface HikvisionResponse<R extends HikvisionBaseResult> extends Serializable {

    Class<R> getResultClazz();

    String getCode();

    void setCode(String code);

    String getMsg();

    void setMsg(String msg);

    R getResult();

    void setResult(R result);

    List<R> getListResult();

    void setListResult(List<R> listResult);

    void setSuccess(boolean success);

    boolean isSuccess();

    boolean isMultiple();
}
